#include "bits/stdc++.h"
using namespace std;

#define rep(i,a,b) for(int i = (a); i < (b); ++i)
#define all(x) begin(x),end(x)
#define sz(x) int(x.size())
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef long long ll;

const int BND = 10;

array<string,3> solve(int a, int b, int c){
    return {
        "lol" + string(c, 'z') + string(b-c+a, 'y') + string(c-b, 'z'),
        "lol" + string(c, 'z'),
        "lol" + string(c*2, 'z') 
    };
}

int main(){
    cin.tie(0)->sync_with_stdio(0);
    
    int a,b,c; cin >> a >> b >> c;

    if (a+b < c or a+c < b or b+c < a){
        cout << "No\n";
        exit(0);
    }

    array<string,3> ret;
    if (c >= a and c >= b){
        ret = solve(a,b,c);
    }else if (a >= b and a >= c){
        ret = solve(b,c,a);
        ret = {ret[1], ret[2], ret[0]};
    }else{
        ret = solve(c,a,b);
        ret = {ret[2], ret[0], ret[1]};
    }

    cout << "Yes\n";
    cout << ret[0] << '\n' << ret[1] << '\n' << ret[2] << '\n';
}